RAPMAP_PSEUDOMAP(1)

NAME
rapmap_pseudomap - rapmap module to map reads using a k-mer-based index

SYNOPSIS
,B rapmap pseudomap [-e] [-m <positive integer>] [-t <positive integer>] [-o <path>] [-r <path>] [-2 <path>] [-1 <path>] [-n] -i <path> [--] [--version] [-h]

DESCRIPTION
RapMap Mapper

RapMap is a testing ground for ideas in quasi-mapping / (lightweight / pseudo) transcriptome alignment. That means that, at this point, it is somewhat experimental. The develop branch will have the latest improvements and additions, but is not guaranteed to be stable between commits. Breaking changes to the master branch will be accompanied by a tag to the version before the breaking change. Currently, RapMap is a stand-alone quasi-mapper that can be used with other tools. It is also being used as part of Sailfish and Salmon. Eventually, the hope is to create and stabilize an API so that it can be used as a library from other tools.

OPTIONS

-e,  --endCollector
    Use the simpler (and faster) "end" collector as opposed to the more sophisticated "skipping" collector

-m, --maxNumHits <positive integer>
    Reads mapping to more than this many loci are discarded

-t, --numThreads <positive integer>
    Number of threads to use

-o, --output <path>
    The output file (default: stdout)

-r, --unmatedReads <path>
    The location of single-end reads

-2, --rightMates <path>
    The location of the right paired-end reads

-1, --leftMates <path>
    The location of the left paired-end reads

-n, --noOutput
    Don't write out any alignments (for speed testing purposes)

-i, --index <path>
    (required) The location of the pseudoindex

--,  --ignore_rest
    Ignores the rest of the labeled arguments following this flag.

--version
    Displays version information and exits.

-h,  --help
    Displays usage information and exits.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.